> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mettre à jour un contact

> Met à jour un contact.

Met à jour un contact.

```json Corps de la requête theme={null}
{
  "role": "Directrice des achats",
  "primaryPhoneNumber": "+33 4 78 00 00 00"
}
```


## OpenAPI

````yaml openapi.json PUT /contacts/{id}
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /contacts/{id}:
    put:
      summary: Update a contact
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - description: _"id" is required as part of the path_
          in: path
          name: id
          required: true
          schema:
            type: integer
        - in: query
          name: primaryEmail
          required: false
          schema:
            type: string
        - in: query
          name: primaryPhoneNumber
          required: false
          schema:
            type: string
        - in: query
          name: role
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                id:
                  nullable: false
                  type: integer
                primaryEmail:
                  nullable: true
                  type: string
                primaryPhoneNumber:
                  nullable: true
                  type: string
                role:
                  nullable: true
                  type: string
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  updateContactsByPk:
                    description: >-
                      A contact (a physical person, from a client, supplier or
                      3rd party partner)
                    nullable: true
                    properties:
                      firstName:
                        nullable: false
                        type: string
                      id:
                        nullable: false
                        type: integer
                      lastName:
                        nullable: false
                        type: string
                      primaryEmail:
                        nullable: true
                        type: string
                      primaryPhoneNumber:
                        nullable: true
                        type: string
                      role:
                        nullable: true
                        type: string
                    type: object
          description: Response

````